View Issue Details

IDProjectCategoryView StatusLast Update
00290182.x IDE BugsSavingPublic2019-07-23 16:14
ReporterFritzAssigned ToSteven Campbell 
PriorityHighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
Product Version2.1.3 
Target Version2.2.3Fixed in Version2.2.3 
Summary0029018: Saving: Extension .yy file is changed whenever project is opened if extension contains injection code
DescriptionIf you have an extension that contains android gradle injection code or iOS plist injection, whenever you open that project the extension's .yy file is rewritten, leading to unnecessary source control revisions & potential conflicts.
TagsFile, IDE
2.x IDE Found In
2.x Runtime Found In9.2.1.1341
2.x IDE Verified In2.2.3.437
2.x Runtime Verified In2.2.3.345

Activities

Dan

2019-07-17 16:34

Adminstrator   ~0064454

Last edited: 2019-07-17 16:40

View 2 revisions

Still occurs in 2.2.3 - this is the core issue behind 0031159

Steven Campbell

2019-07-19 10:51

Manager   ~0064470

Fixed in Red IDE/GitHub Pull Request 4734
Git Id: 2cc2a156b26892f0b1e41625b69ae59f6a3414e4

Dan

2019-07-19 14:56

Adminstrator   ~0064473

IDE 437+

Dan

2019-07-23 16:14

Adminstrator   ~0064486

I can now build the entire Google Play Services extension (including when the IAPs and Licensing extensions are also in the project) repeatedly in Windows and Mac IDEs, even after opening and editing the extension properties.